Bug 1114642 - NIC with domain but no hostname tries to create ".domain.com" DNS record
Summary: NIC with domain but no hostname tries to create ".domain.com" DNS record
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Jan Hutař
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 14:22 UTC by Bryan Kearney
Modified: 2016-04-22 16:26 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:24:29 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6374 None None None 2016-04-22 16:26 UTC

Description Bryan Kearney 2014-06-30 14:22:08 UTC
https://github.com/theforeman/foreman/pull/1537

"Fix instance where a domain id is indicated, but no hostname is given
...The model was asking the proxy to try and create a record that looks like ".domain.com", and if you were trying to create a second host with the same characteristics (blank hostname, domain name non-nil) on its interface, the proxy would properly fail with a "Entity already exists" error."

Comment 1 Bryan Kearney 2014-06-30 14:22:10 UTC
Created from redmine issue http://projects.theforeman.org/issues/6374

Comment 3 Bryan Kearney 2014-06-30 14:37:30 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6374 has been closed

Comment 9 Bryan Kearney 2014-09-11 12:24:29 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.